<ui:composition template="templateMenu.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>
	
	
<ui:define name="principal">

<h:form id="formUsuario">
<p:growl id="mensagem"/>

	<div align="center">

	<p:panelGrid columns="6">
	
	<f:facet name="header">
            Usuário
    </f:facet>
	 	 
	
		 
	 <p:outputLabel for="nome" value="Nome: "/>
	 <p:inputText id="nome" value = "#{usuarioMB.usuario.nome}" required="true"/>
	 
	 <p:outputLabel for="email" value="E-mail: "/>
	 <p:inputText id="email" value = "#{usuarioMB.usuario.email}" required="true"/>
	 
	 <h:outputLabel for="senha" value="Senha: " />
	 <p:password id="nonFeedback" value="#{passwordView.password1}" />
	 

	</p:panelGrid>		
	
 	
 	<p:commandButton value="Cadastrar"
					 style = "margin: 4px 0px; padding: 4px 12px; font-size: 16px;"
					 action="#{usuarioMB.salvar}"
	                 update=":formUsuario"  	            
	/>

 	<p:commandButton value="Voltar" style = "margin-bottom:5px; font-size: 16px; padding: 4px 12px; margin: 4px 6px" onclick="window.history.back();" />
	

	</div>

</h:form>


	</ui:define>
</ui:composition>